Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 476932 - app-misc/mc-4.8.9 - USE="-slang" - In file included from get-color.c:31: ../../lib/tty/tty-ncurses.h:9:29: fatal error: ncurses/ncurses.h: No such file or directory
Summary: app-misc/mc-4.8.9 - USE="-slang" - In file included from get-color.c:31: ../...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alex Alexander (RETIRED)
URL: https://www.midnight-commander.org/ti...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2013-07-15 15:32 UTC by Frank Ridderbusch
Modified: 2013-07-15 18:01 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,52.38 KB, text/x-log)
2013-07-15 15:32 UTC, Frank Ridderbusch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Ridderbusch 2013-07-15 15:32:30 UTC
Created attachment 353354 [details]
build.log

app-misc/mc-4.8.9 fails to build on all of my Gentoo systems, x86 and x86_64.
Up to version 4.8.8 mc always build for me. 

Here is the "emerge --info":

# emerge --info
Portage 2.2.0_alpha188 (default/linux/amd64/13.0/desktop, gcc-4.6.3, glibc-2.17, 3.8.2-pf x86_64)
=================================================================
System uname: Linux-3.8.2-pf-x86_64-Dual_Core_AMD_Opteron-tm-_Processor_275-with-gentoo-2.2
KiB Mem:     8174648 total,   1632988 free
KiB Swap:    9775548 total,   9769856 free
Timestamp of tree: Mon, 15 Jul 2013 08:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r1, 3.2.4, 3.3.2-r1
dev-util/cmake:           2.8.11.1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.5-r1, 1.6.3-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.5.4, 4.6.3, 4.7.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo local
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/genkernel/arch/x86_64 /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.cambrium.nl/pub/os/linux/gentoo/ http://mirror.jamit.de/gentoo/ http://mirror.cambrium.nl/pub/os/linux/gentoo/ ftp://mirror.leaseweb.com/gentoo/ ftp://mirror.netcologne.de/gentoo/"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/portage/packages-64bit"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/portage/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aacplus aalib acl acpi ads aio akode alsa amd64 amr amrnb amrwb animation-rtl ao apache2 applet asf aspell athena audacious audiofile audit automount avahi bash-completion berkdb bluetooth branding browserplugin bzip2 cairo calendar caps-ng cdda cdio cdparanoia cdr cgi cleartype cli clock connection-sharing consolekit consolkit cpudetection cracklib crypt css ctype cue cups curl cvs cxx dbus declarative demosaic device-mapper dhclient dia digitalradio djvu dnd dri dtmf dts dv dvd dvdr emacs23icons emboss enca encode exchange exif expat expoblending extensions faac fam fbcondecor ffmpeg firefox flac font-server fontconfig fontforge foomaticdb fortran frei0r fts3 fuse g3dvl gcj gdbm gdu geolocation gif gimp glade glib glitz gnome gnome-keyring gnutls gphoto2 gs gstreamer gtk gtk2 gtk3 gtkhtml gzip-el hddtemp hdri http iconv icu id3 id3tag idn ieee1394 imap imlib inotify ipv6 jack java java5 java6 jce jpeg jruby kde kde4 kdrive kerberos keyboard kig-scripting kipi lame lcms ldap lensfun libedit libffi libmms libmpd libnotify libproxy libsamplerate lm_sensors logitech-mouse lzma mad matroska mbox mjpeg mmap mmx mng modules mp3 mp4 mpd mpeg mplayer mtp mudflap multilib musicbrainz mysql nautilus ncurses neXt netjack networkmanager nfsdcld nfsidmap nfsv41 nls npp nptl nsplugin nss ntlm ntp nvidia offlinehelp ogg opengl openmp otr pam pam_krb5 pam_ssh pango panorama pcre pdf pdfimport perl pidgin plasma png policykit ppds pulseaudio python qt-faststart qt3support qt4 quicktime raw rdesktop-vrdp readline recorder redeyes resolvconf ruby samba sasl scanner sdk secure-delete semantic-desktop sendto sensord session sip sipim slang sndfile sound sourceview speex spell sqlite sqlite3 srt sse sse2 ssh ssl ssse3 startup-notification svg swat sylpheed taglib tagwriting tcpd theora thunderbird tiff toolkit-scroll-bars tools totem truetype udev udisks unicode upcall upnp upower usb v4l v4l2 vaapi vboxwebsrv vdpau vim-syntax vmware-tools vorbis vpx wacom wav weather webdav webkit wifi win32codecs winbind windeco wxwidgets x264 xattr xcb xcomposite xface xft xine xinerama xml xmp xnest xps xscreensaver xv xvfb xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias auth_digest proxy proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="emu gentoo_platforms_efi-32 gentoo_platforms_efi-64 pc" INPUT_DEVICES="wacom evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby18 ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev radeon vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

Looking at the difference between tty-ncurses.h of version 4.8.8 and 4.8.9
shows differences in the exact spot, which is reported in the build.log 
error report.

# diff -u mc-4.8.8/lib/tty/tty-ncurses.h work/mc-4.8.9/lib/tty/tty-ncurses.h         --- mc-4.8.8/lib/tty/tty-ncurses.h      2012-04-20 09:21:37.000000000 +0200
+++ work/mc-4.8.9/lib/tty/tty-ncurses.h 2013-07-09 12:43:17.000000000 +0200
@@ -5,13 +5,9 @@
 #ifdef USE_NCURSES
 #ifdef HAVE_NCURSES_CURSES_H
 #include <ncurses/curses.h>
-#elif HAVE_NCURSES_NCURSES_H
+#elif HAVE_NCURSES_NCURSES_H || HAVE_NCURSESW_CURSES_H
 #include <ncurses/ncurses.h>
-#elif HAVE_NCURSESW_CURSES_H
-#include <ncursesw/curses.h>
-#elif HAVE_NCURSES_HCURSES_H
-#include <ncurses.h>
-#elif HAVE_NCURSES_H
+#elif HAVE_NCURSES_HCURSES_H || HAVE_NCURSES_H
 #include <ncurses.h>
 #else
 #include <curses.h>

Manually removing the ncurses/ in the line 9 allows the build of mc to succeed.
Comment 1 Alex Alexander (RETIRED) gentoo-dev 2013-07-15 18:01:44 UTC
Thanks for reporting this.

Seems that ncurses detection broke in 4.8.9.

I just pushed a patch in portage that fixes this,
which I also submitted upstream (ticket @ $URL).

Cheers